# Literature Review

## Overview of Image Processing Libraries

Image processing libraries provide essential tools for manipulating and
processing images in various formats.

## ImageSharp

ImageSharp is a .NET library offering basic image processing
capabilities. However, its high cost impacts feasibility for certain
projects.

## Other Popular Libraries

### OpenImageIO

An open-source library widely used in professional pipelines for
handling multiple image formats.

### SkiaSharp

A high-performance 2D graphics library for various image processing
tasks.

### Magick.NET

Provides advanced image manipulation with support for a wide range of
formats.

### Emgu CV

A .NET wrapper for OpenCV, offering robust image processing
capabilities.
